package com.rudakova.media_archive.dto;

import com.rudakova.media_archive.model.Account;

public class AccountDto {

    private String displayName;

    private String emailAddress;

    private String workFolderId;

    private String uploadFolderId;

    public AccountDto(Account account) {
        this.displayName = account.getDisplayName();
        this.emailAddress = account.getEmailAddress();
        this.workFolderId = account.getDirectory();
        this.uploadFolderId = account.getUploadFolder();
    }

    public String getDisplayName() {
        return displayName;
    }

    public void setDisplayName(String displayName) {
        this.displayName = displayName;
    }

    public String getEmailAddress() {
        return emailAddress;
    }

    public void setEmailAddress(String emailAddress) {
        this.emailAddress = emailAddress;
    }

    public String getWorkFolderId() {
        return workFolderId;
    }

    public void setWorkFolderId(String workFolderId) {
        this.workFolderId = workFolderId;
    }

    public String getUploadFolderId() {
        return uploadFolderId;
    }

    public void setUploadFolderId(String uploadFolderId) {
        this.uploadFolderId = uploadFolderId;
    }
}
