package com.rudakova.media_archive.dto;

import com.rudakova.media_archive.model.File;

import java.util.List;
import java.util.stream.Collectors;

public class FileListDto {

    private int pages;

    private List<FileDto> fileDtoList;

    public FileListDto(List<File> files, int pages) {
        this.pages = pages;
        this.fileDtoList = files.stream()
                .map(FileDto::new)
                .collect(Collectors.toList());
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<FileDto> getFileDtoList() {
        return fileDtoList;
    }

    public void setFileDtoList(List<FileDto> fileDtoList) {
        this.fileDtoList = fileDtoList;
    }
}
