package com.rudakova.media_archive.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Document
public class Channel {

    @Id
    private String id;

    private String kind;

    private String resourceId;

    private String resourceUri;

    private long expiration;

    public String getKind() {
        return kind;
    }

    public void setKind(String kind) {
        this.kind = kind;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getResourceId() {
        return resourceId;
    }

    public void setResourceId(String resourceId) {
        this.resourceId = resourceId;
    }

    public String getResourceUri() {
        return resourceUri;
    }

    public void setResourceUri(String resourceUri) {
        this.resourceUri = resourceUri;
    }

    public long getExpiration() {
        return expiration;
    }

    public void setExpiration(long expiration) {
        this.expiration = expiration;
    }

    @Override
    public String toString() {
        return "Channel{" +
                "kind='" + kind + '\'' +
                ", id='" + id + '\'' +
                ", resourceId='" + resourceId + '\'' +
                ", resourceUri='" + resourceUri + '\'' +
                ", expiration=" + expiration +
                '}';
    }
}
