package com.rudakova.media_archive.model;

import org.springframework.data.mongodb.core.mapping.Document;

import java.time.Instant;
import java.util.UUID;

@Document
public class UpdateRecord {

    private UUID id = UUID.randomUUID();

    private String fileId;

    private String type;

    private Instant creationDate;

    private Account account;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getFileId() {
        return fileId;
    }

    public void setFileId(String fileId) {
        this.fileId = fileId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Instant getCreationDate() {
        return creationDate;
    }

    public void setCreationDate(Instant creationDate) {
        this.creationDate = creationDate;
    }

    public Account getAccount() {
        return account;
    }

    public void setAccount(Account account) {
        this.account = account;
    }

    @Override
    public String toString() {
        return "UpdateRecord{" +
                "id=" + id +
                ", fileId='" + fileId + '\'' +
                ", type='" + type + '\'' +
                ", creationDate=" + creationDate +
                '}';
    }
}
