package com.rudakova.media_archive.repository;

import com.rudakova.media_archive.model.Account;
import org.springframework.data.mongodb.repository.MongoRepository;

import java.util.Optional;

public interface AccountRepository extends MongoRepository<Account, String> {

    Optional<Account> findByEmailAddress(String emailAddress);
}
